function L = calcWarpedSpringLength(L, s_max, s_min, theta, alpha)
% function L = calcWarpedSpringLength(L, s_max, s_min, theta, alpha)
%
%
% Dr. A. I. Hanna 2005.
theta = mod(theta, pi);
alpha = mod(alpha, pi);
theta = alpha - theta;
L=L*sqrt((cos(theta)/s_max)^2 + (sin(theta)/s_min)^2);